﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;

namespace INT_PT002.DataStore
{
    public class LeakData
    {
        #region Field
        private Define.E_ProgressStatus m_ProgressStatus;
        private Define.E_JudgmentStatus m_JudgmentStatus;

        private Collection<DispData> m_CollDispData;
        private Collection<DiffData> m_CollDiffData;
        
        #endregion

        #region Constructor
        public LeakData(int column)
        {
            this.Initialize(column);
        }
        #endregion

        #region Property
        public Define.E_ProgressStatus ProgressStatus
        {
            get { return this.m_ProgressStatus; }
            set { this.m_ProgressStatus = value; }
        }
        public Define.E_JudgmentStatus JudgmentStatus
        {
            get { return this.m_JudgmentStatus; }
            set { this.m_JudgmentStatus = value; }
        }

        public Collection<DispData> CollDispData
        {
            get { return this.m_CollDispData; }
            set { this.m_CollDispData = value; }
        }
        public Collection<DiffData> CollDiffData
        {
            get { return this.m_CollDiffData; }
            set { this.m_CollDiffData = value; }
        }
        #endregion

        #region Method
        private void Initialize(int column)
        {
            this.ProgressStatus = Define.E_ProgressStatus.None;
            this.JudgmentStatus = Define.E_JudgmentStatus.None;

            this.CollDispData = new Collection<DispData>();
            this.CollDiffData = new Collection<DiffData>();

            for (int i = 0; i < column; i++)
            {
                this.CollDispData.Add(new DispData());
                this.CollDiffData.Add(new DiffData());
            }
        }
        #endregion
    }
}
